import React, { useMemo } from 'react'
import { TimePicker } from 'antd'
import moment from 'moment'

const Time = (props) => {

  const { value, onChange, schema, addons } = props
  const { presetValue, currentDate, defaultCurrent } = schema

  const valueShow = useMemo(() => {
    if (defaultCurrent) {
      return (value || new Date()) ? moment(value || new Date(), 'HH:mm:ss') : null
    }
    return (value || presetValue) ? moment(value || presetValue, 'HH:mm:ss') : null
  }, [presetValue, value, defaultCurrent])

  const disabledDate = (current) => {
    if (currentDate) {
      return current && current.format('HH:mm:ss') > moment().format('HH:mm:ss')
    } else {
      return false
    }
  }

  const timeChange = (time, timeStr) => {
    onChange(timeStr)
  }

  return (
    <TimePicker
      style={{ width: '100%' }}
      value={valueShow}
      onChange={timeChange}
      disabledDate={disabledDate}
    />
  )


}

export default Time