import React, { useMemo, useState, useContext } from 'react'
import { Input, Modal, ConfigProvider } from 'antd'
import Icon, { EllipsisOutlined } from '@ant-design/icons'
import * as icons from '@ant-design/icons'
import './index.less'

const iconList = Object.keys(icons).filter((item) => typeof icons[item] === 'object')

const InputAddon = (props) => {

  const { value, onChange } = props

  const [visible, setVisible] = useState(false)
  const [icon, setIcon] = useState()

  // const valueShow = useMemo(() => {
  //   return value ? value : ''
  // }, [value])

  const inputChange = (e) => {
    onChange(e.target.value)
  }

  const onOk = () => {
    setVisible(false)
    onChange(icon)
  }

  const iconClick = () => {
    setVisible(true)
  }

  const onCancel = () => {
    setVisible(false)
  }

  return (
    <div className={`inputAddon`}>
      <Input value={value} onChange={inputChange} addonAfter={<EllipsisOutlined onClick={iconClick} />} />
      <Modal
        width={'50%'}
        getContainer={false}
        title='图标选择'
        visible={visible}
        onOk={onOk}
        onCancel={onCancel}
        bodyStyle={{ height: '450px', overflow: 'auto' }}
      >
        <div className={`iconBox`}>
          {
            iconList.map((v, i) => {
              if (i === 0) return null
              return (
                <div key={v} className={`iconItem`} active={JSON.stringify(icon === v)} onClick={() => setIcon(v)}>
                  <Icon component={icons[v]} />
                </div>
              )
            })
          }
        </div>
      </Modal>
    </div>
  )

}

export default InputAddon