/**
 *  @Description: QRCode 使用传入的值生成二维码
 *  @Params: 参数描述
 *  @Date: 2021/12/3
 *  @Author: ChenLong
 * */
import React, { useState } from 'react';
import { Input } from 'antd';
import QR from 'qrcode.react';
import './index.less'

const QRCode = ({ schema }) => {

  const [show, setShow] = useState(false)

  return (
    <div className='QRCode'>
      <Input
        disabled={schema.disabled}
        value={schema.default}
        onFocus={() => setShow(true)}
        onBlur={() => setShow(false)}
      />
      <div className='QRCode-img' style={{ display: show ? 'block' : 'none' }}>
        {
          schema.default ? <QR value={schema.default} /> : null
        }
      </div>
    </div>
  );
};

export default QRCode;
